Description

It would be nice if the OpenStack compute provider would have support for Neutron networks in OpenStack. The first use-case I can

think of is the ability to hook up an instance to a private network on the "host creation" screen.

History

#1 - 05/26/2014 03:33 PM - David Juran

- File New_Host_-_2014-05-26_15.22.50.jpg added

Screenshot when of host creation screen. Do note the blank "primary interface" section and the lack of any button allowing the addition of one.

#2 - 05/26/2014 03:35 PM - Daniel Lobato Garcia

- Category set to Compute resources

- Difficulty set to hard

dlobatog: djuran: here's my guess (I think it's right, anyone correct me if i'm wrong)

dlobatog: djuran: this line checks whether the host compute resource capabilities include :build (network build) or not 

https://github.com/theforeman/foreman/blob/develop/app/views/hosts/_unattended.html.erb#L23

dlobatog: djuran: openstack never had this capability in foreman since we do not connect to Neutron/Nova network in any way, 

https://github.com/theforeman/foreman/blob/develop/app/models/compute_resources/foreman/model/openstack.rb#L26

Basically this conversation is what originated the creation of this issue.

#3 - 09/26/2014 07:11 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - OpenStack
